﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
namespace OnlineTest
{
    public partial class insert_test : System.Web.UI.Page
    {

        Functions ff = new Functions();
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["admin"] != "true")
            {
                Response.Redirect("login.aspx?type=admin");
            }
            if (!IsPostBack)
            {
                // create left widgate

                MainContentLabel.Text = ff.Top_GetLeftWidgate("ثبت آزمون جدید");

                MainContentLabel0.Text += ff.Bottom_GetLeftWidgate();

            }
        }

        protected void Button2_Click(object sender, EventArgs e)
        {
            Response.Redirect("manage-tests.aspx");
        }

        protected void nextbtn_Click(object sender, EventArgs e)
        {
            err0.Text = "";
            err1.Text = "";
            err7.Text = "";
            err8.Text = "";
            int count = 0;
            int time = 0;
            if (txttitle.Text == "")
            {
                err0.Text = "عنوان را وارد کنید";
                txttitle.Focus();
                return;
            }
            if (txtcount.Text == "")
            {
                err1.Text = "تعداد سوالات رو وارد کنید";
                txtcount.Focus();
                return;
            }
            try
            {
                count = int.Parse(txtcount.Text);
            }
            catch
            {
                err1.Text = "تعداد سوالات را درست وارد کنید";
                txtcount.Focus();
                return;
            }
            if (count < 1)
            {
                err1.Text = "تعداد سوالات را درست وارد کنید";
                txtcount.Focus();
                return;
            }
            if (txttime.Text == "")
            {
                err7.Text = "زمان آزمون را وارد کنید";
                txttime.Focus();
                return;
            }
            try
            {
                time = int.Parse(txttime.Text);
            }
            catch
            {
                err7.Text = "زمان آزمون را درست وارد کنید";
                txttime.Focus();
                return;
            }
            if (time < 1)
            {
                err7.Text = "زمان آزمون را درست وارد کنید";
                txttime.Focus();
                return;
            }

            string title = txttitle.Text;
            DateTime start = date1.SelectedDate.Date;
            DateTime end = date2.SelectedDate.Date;
            if (start >= end)
            {
                err8.Text = "تاریخ شروع و پایان را تصحیح کنید";
                return;
            }
            string day = start.Day.ToString();
            string month = start.Month.ToString();
            if (start.Month < 10)
            {
                month = "0" + start.Month.ToString();
            }
            if (start.Day < 10)
            {
                day = "0" + start.Day.ToString();
            }
            string s_start = month + "/" + day + "/" + start.Year;
            day = end.Day.ToString();
            month = end.Month.ToString();
            if (end.Month < 10)
            {
                month = "0" + end.Month.ToString();
            }
            if (end.Day < 10)
            {
                day = "0" + end.Day.ToString();
            }
            string s_end = month + "/" + day + "/" + end.Year;

            SqlConnection co = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["OnlineTestDBConnectionString"].ConnectionString);
            co.Open();
            SqlCommand command = new SqlCommand("insert into ot_test (title,question_count,start_date,end_date,enable_navigate_score,enable_show_random,enable_show_answer,enable_test,time) values( N'" + title + "',N'" + count.ToString() + "',N'" + s_start + "',N'" + s_end + "',N'" + cmanfi.Text + "',N'" + crandom.Text + "',N'" + canswer.Text + "',N'" + cenable.Text +"',"+time.ToString()+ ")", co);
            command.CommandType = CommandType.Text;
            command.ExecuteNonQuery();
            //--------------------------------------
            command = new SqlCommand("select Top 1 * from ot_test order by id Desc", co);
            string test_id = "";
            var resault = command.ExecuteReader();
            while (resault.Read())
            {
                test_id = resault[0].ToString();
            }

            Session.Remove("count");
            Session.Add("count", count.ToString());
            Session.Remove("test");
            Session.Add("test", test_id.ToString());
            Panel1.Visible = false;
            Panel2.Visible = true;
        }

        protected void exitreturnbtn_Click(object sender, EventArgs e)
        {
            Response.Redirect("manage-tests.aspx");
        }

        protected void inserttest_Click(object sender, EventArgs e)
        {
            err2.Text = "";
            err3.Text = "";
            err4.Text = "";
            err5.Text = "";
            err6.Text = "";
           
            if (qtxt.Text == "")
            {
                err2.Text = "متن سوال خالی است";
                return;
            }
            if (txt1.Text == "")
            {
                err3.Text = "گزینه اول خالی است";
                return;
            }
            if (txt2.Text == "")
            {
                err4.Text = "گزینه دوم خالی است";
                return;
            }
            if (txt3.Text == "")
            {
                err5.Text = "گزینه سوم خالی است";
                return;
            }
            if (txt4.Text == "")
            {
                err6.Text = "گزینه چهارم خالی است";
                return;

            }

            // get test id
            int test_id = int.Parse(Session["test"].ToString());
            //save information into database
            string q =qtxt.Text;
            string t1 = txt1.Text ;
            string t2 = txt2.Text ;
            string t3 = txt3.Text ;
            string t4 = txt4.Text ;
            string ans = txt5.SelectedValue;
           // check repeat
            if (t1 == t2 | t1 == t3 | t1 == t4 | t2 == t3 | t3 == t4 | t2==t4)
            {
                err2.Text = "گزینه ها نمیتواند تکراری باشد";
                return;
            }

           
            // query
            SqlConnection co = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["OnlineTestDBConnectionString"].ConnectionString);
            co.Open();
           
            SqlCommand command = new SqlCommand("insert into ot_questions (test_id,question,s1,s2,s3,s4,answer) values( "+test_id.ToString() + ",N'" + q + "',N'" + t1 + "',N'" + t2 + "',N'" + t3 + "',N'" + t4 + "'," + ans + ")", co);
            command.CommandType = CommandType.Text;
            command.ExecuteNonQuery();
            //----------
            qtxt.Text = "";
            txt1.Text = "";
            txt2.Text = "";
            txt3.Text = "";
            txt4.Text = "";
            //-------------check questin count
            SqlCommand cmd = new SqlCommand("select count(*) from ot_questions where test_id=" + test_id.ToString(), co);
            cmd.CommandType = CommandType.Text;
            string cnt = cmd.ExecuteScalar().ToString();
            int count = int.Parse(Session["count"].ToString());
            if (int.Parse(cnt) == count )
            {
                exitreturnbtn_Click(null, null);
            }

            //---------
           
        }
    }
}
