﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Web.Security;
namespace OnlineTest
{
    public partial class start_test : System.Web.UI.Page
    {
        Functions ff = new Functions();
        protected void Page_Load(object sender, EventArgs e)
        {

            if (Session["student_id"] == null)
            {
                Response.Redirect("login.aspx?type=student");
                return;
            }
            
            if (!IsPostBack)
            {

                string test_id = Request.QueryString["id"];
                SqlConnection co = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["OnlineTestDBConnectionString"].ConnectionString);
                co.Open();
                SqlCommand command = new SqlCommand("select * from ot_test where id=" + test_id, co);
                command.CommandType = CommandType.Text;
                var resault = command.ExecuteReader();
                string str_random = "";
                while (resault.Read())
                {
                    str_random = resault[6].ToString();
                }
                if (str_random == "فعال")
                {
                    SqlDataSource1.SelectCommand = "SELECT * FROM [ot_questions] WHERE test_id=" + test_id + " order by newid()";
                    SqlDataSource1.DataBind();
                    student_grid.DataBind();
                }
                // create left widgate

                MainContentLabel.Text = ff.Top_GetLeftWidgate("شروع آزمون");

                MainContentLabel0.Text += ff.Bottom_GetLeftWidgate();

            }
        }
        private int Get_Permission(int test_id, int student_id, string ip)
        {
            int res = 0;
            SqlConnection co = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["OnlineTestDBConnectionString"].ConnectionString);
            co.Open();
            SqlCommand command = new SqlCommand("select * from ot_student_test where student_id="+student_id.ToString()+" and test_id="+test_id.ToString() , co);
            command.CommandType = CommandType.Text;
            var resault = command.ExecuteReader();
            if (resault.HasRows) res = 1;
            resault.Close();

            command = new SqlCommand("select * from ot_student_test where ip='" + ip.ToString() + "' and test_id=" + test_id.ToString(), co);
            command.CommandType = CommandType.Text;
            resault = command.ExecuteReader();
            if (resault.HasRows) res = 1;
            resault.Close();



            return res;
        }
       
        protected void Button1_Click(object sender, EventArgs e)
        {
         
            
            int time=0;
            DateTime start_date = new DateTime();
            DateTime end_date = new DateTime();

            // start test
            int testid = int.Parse(Request.QueryString["id"].ToString());
            SqlConnection co = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["OnlineTestDBConnectionString"].ConnectionString);
            co.Open();
            SqlCommand command = new SqlCommand("select * from ot_test where id="+testid.ToString(), co);
            command.CommandType = CommandType.Text;
            var resault = command.ExecuteReader();
            
            while (resault.Read())
            {
                time = int.Parse(resault[9].ToString());
                start_date = Convert.ToDateTime(resault[3].ToString().Substring(0,10));
                end_date = Convert.ToDateTime(resault[4].ToString().Substring(0, 10));
            }
            resault.Close();
            //int m = int.Parse(start_date.Substring(0,2));
            //int d = int.Parse(start_date.Substring(3, 2));
            //int y = int.Parse(start_date.Substring(6, 4));

            if (start_date > DateTime.Now)
            {
                err0.Text = "این آزمون هنوز شروع نشده است.";
                return;
            }
            if (end_date < DateTime.Now)
            {
                err0.Text = "زمان این آزمون به پایان رسیده است";
                return;
            }
           
            int student_id = int.Parse(Session["student_id"].ToString());
            string date = System.DateTime.Now.ToString();
            string ip = Request.UserHostAddress.ToString();
            string browser = Request.Browser.Browser.ToString();

            if (Get_Permission(testid, student_id, ip) == 0)
            {
                Panel1.Visible = false;
                Panel2.Visible = true;
            }
            else
            {
                Panel1.Visible = false;
                Panel3.Visible = true;
                return;
            }


            command = new SqlCommand("insert into ot_student_test (student_id,test_id,date,ip,browser) values( " + student_id + "," + testid+ ",'" + date + "','" + ip+ "',N'" + browser + "')" , co);
            command.CommandType = CommandType.Text;
            command.ExecuteNonQuery();

            //=================================================
            time = time * 60;
            Session.Remove("time");
            Session.Add("time", time);
           
            Timer1.Enabled = true;
        }

        protected void Timer1_Tick(object sender, EventArgs e)
        {
            int time = int.Parse(Session["time"].ToString());
            if (time != 0)
            {
                int hours = time/3600;
                int tempminutes = time % 3600;
                int minutes = tempminutes/60;
                int seconds = tempminutes % 60;

                timelabel.Text = "زمان باقیمانده: " + string.Format("{0}:{1}:{2}", hours, minutes, seconds);
                time--;
                Session["time"] = time;
            }
            else
            {
                endbtn_Click(null, null);
            }
        }
        private string get_question_status(string question_id, string answer)
        {
            string status = "بدون پاسخ";
            SqlConnection co = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["OnlineTestDBConnectionString"].ConnectionString);
            co.Open();
            SqlCommand command = new SqlCommand("select * from ot_questions where id=" + question_id, co);
            command.CommandType = CommandType.Text;
            var resault = command.ExecuteReader();
            string ans = "";
            while (resault.Read())
            {
                ans= resault[7].ToString();
            }
            resault.Close();
            if (answer == ans)
            {
                status = "درست";
            }
            else
            {
                status = "نادرست";
            }
            if (answer == "0")
            {
                status = "بدون پاسخ";
            }


            return status;
        }
        protected void endbtn_Click(object sender, EventArgs e)
        {
            // get answer status
            SqlConnection co = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["OnlineTestDBConnectionString"].ConnectionString);
            co.Open();
            SqlCommand command = new SqlCommand();
            command.CommandType = CommandType.Text;
            string student_id=Session["student_id"].ToString();
            string testid = Request.QueryString["id"].ToString();
            command = new SqlCommand("select * from ot_student_test where student_id="+student_id+" and test_id="+testid, co);
            var resault = command.ExecuteReader();
            string student_test_id = "";
            while (resault.Read())
            {
                student_test_id = resault[0].ToString();
            }
            resault.Close();

            for (int i = 0; i < student_grid.Rows.Count; i++)
            {
                DropDownList test_dropdown = (DropDownList)student_grid.Rows[i].Cells[6].Controls[1];
                string question_id = student_grid.Rows[i].Cells[0].Text.ToString();
                string answer = test_dropdown.SelectedValue.ToString();
                string status = get_question_status(question_id, answer);
                // insert into database
                command = new SqlCommand("insert into ot_student_answer (student_test_id,question_id,answer_id,answer_status) values("+student_test_id+","+question_id+","+answer+",N'"+status+"')", co);
                command.ExecuteNonQuery();
            }
            // save answers

            //redirect
            
            Response.Redirect("resault.aspx?id="+testid);
        }

       
    }
}
